Create segment - Fabric
Create segment
cURL
curl --request POST \
--url https://live.copilot.fabric.inc/api-offers/segment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": "Customer Type",
"value": [
"High Spender"
]
}
'
Python
import requests
url = "https://live.copilot.fabric.inc/api-offers/segment"
payload = {
"name": "Customer Type",
"value": ["High Spender"]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Customer Type', value: ['High Spender']})
};
fetch('https://live.copilot.fabric.inc/api-offers/segment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Expected Responses
200
{
"_id": "614b58924e92f6861ac9d43b",
"segmentId": 100002,
"name": "Customer Type",
"value": [
"High Spender"
],
"deleted": false,
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z"
}
400
{
"code": "SEGMENT_NAME_EXISTS",
"message": "Segment name already exists."
}
500
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
Authorization
- Type:
string - In:
header - Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
- x-site-context: string, required
- Description: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from.
Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Body
- name: string, required, Name of segment
- value: array of string, required, Array of segment value
Response
- _id: string, Example:
"614b58924e92f6861ac9d43b" - segmentId: number, Example:
100002 - name: string, Example:
"Customer Type" - value: array of string, Example: `� "High Spender"
- deleted: boolean, Example:
false - createdAt: string
, Example: "2020-12-14T12:15:43.646Z" - updatedAt: string
, Example: "2021-12-14T12:15:43.646Z"